org.apache.ignite.internal.visor.verify

## Class VisorIdleVerifyDumpTaskArg

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.verify.VisorIdleVerifyTaskArg
    - - org.apache.ignite.internal.visor.verify.VisorIdleVerifyDumpTaskArg

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorIdleVerifyDumpTaskArg
    extends VisorIdleVerifyTaskArg

Arguments for `VisorIdleVerifyDumpTask`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3, V4`

### Constructor Summary

Constructors
Constructor and Description
`VisorIdleVerifyDumpTaskArg()` Default constructor.
`VisorIdleVerifyDumpTaskArg(Set<String> caches, Set<String> excludeCaches, boolean skipZeros, CacheFilterEnum cacheFilterEnum, boolean checkCrc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte` `getProtocolVersion()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.verify.VisorIdleVerifyTaskArg

`cacheFilterEnum, cacheFilterEnum, caches, checkCrc, checkCrc, excludeCaches, excludeCaches, skipZeros, skipZeros`

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorIdleVerifyDumpTaskArg

    public VisorIdleVerifyDumpTaskArg()

Default constructor.

#### VisorIdleVerifyDumpTaskArg

    public VisorIdleVerifyDumpTaskArg(Set<String> caches,
                                      Set<String> excludeCaches,
                                      boolean skipZeros,
                                      CacheFilterEnum cacheFilterEnum,
                                      boolean checkCrc)

Parameters:
  `caches` - Caches.
  `excludeCaches` - Caches to exclude.
  `skipZeros` - Skip zeros partitions.
  `cacheFilterEnum` - Cache kind.
  `checkCrc` - Check partition crc sum.

### Method Detail

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Overrides:
  `writeExternalData` in class `VisorIdleVerifyTaskArg`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Overrides:
  `readExternalData` in class `VisorIdleVerifyTaskArg`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### getProtocolVersion

    public byte getProtocolVersion()

Overrides:
  `getProtocolVersion` in class `VisorIdleVerifyTaskArg`
Returns:
  Transfer object version.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorIdleVerifyTaskArg`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021